_ScoringInfoCapsule

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class _ScoringInfoCapsule

    java.lang.Object
      net.ctdp.rfdynhud.gamedata._ScoringInfoCapsule

    public abstract class _ScoringInfoCapsule

extends java.lang.Object

Author:
  Marvin Froehlich (CTDP)

Constructor Summary
`protected` | `_ScoringInfoCapsule()`

Method Summary
`abstract float` | `getAmbientTemperature()`
`abstract byte[]` | `getBuffer()`
`abstract float` | `getCloudDarkness()`
`abstract float` | `getEndTime()`
`abstract GamePhase` | `getGamePhase()`
`abstract int` | `getMaxLaps()`
`abstract int` | `getNumRedLights()`
`abstract int` | `getNumVehicles()`
`abstract float` | `getOffPathWetness()`
`abstract float` | `getOnPathWetness()`
`abstract java.lang.String` | `getPlayerFilename()`
`abstract java.lang.String` | `getPlayerName()`
`abstract float` | `getRainingSeverity()`
`abstract boolean` | `getSectorYellowFlag(int sector)`
`abstract float` | `getSessionTime()`
`abstract SessionType` | `getSessionType()`
`abstract int` | `getStartLightFrame()`
`abstract float` | `getTrackLength()`
`abstract java.lang.String` | `getTrackName()`
`abstract float` | `getTrackTemperature()`
`long` | `getUpdateId()` This is incremented every time the info is updated.
`abstract void` | `getWindSpeed(TelemVect3 speed)` wind speed
`abstract YellowFlagState` | `getYellowFlagState()`
`abstract boolean` | `isInRealtimeMode()`
`abstract void` | `loadFromStream(java.io.InputStream in)`
`protected void` | `onDataUpdated()` Increments the update ID.
`abstract void` | `writeToStream(java.io.OutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### _ScoringInfoCapsule

    protected _ScoringInfoCapsule()

Method Detail

### getBuffer

    public abstract byte[] getBuffer()

### getUpdateId

    public final long getUpdateId()

  This is incremented every time the info is updated.

  Returns:
    the current update id.

### onDataUpdated

    protected void onDataUpdated()

  Increments the update ID.

### loadFromStream

    public abstract void loadFromStream(java.io.InputStream in)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeToStream

    public abstract void writeToStream(java.io.OutputStream out)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### getTrackName

    public abstract java.lang.String getTrackName()

  Returns:
    current track name

### getSessionType

    public abstract SessionType getSessionType()

  Returns:
    current session

### getSessionTime

    public abstract float getSessionTime()

  Returns:
    current session time

### getEndTime

    public abstract float getEndTime()

  Returns:
    session ending time

### getMaxLaps

    public abstract int getMaxLaps()

  Returns:
    maximum laps

### getTrackLength

    public abstract float getTrackLength()

  Returns:
    distance around track

### getNumVehicles

    public abstract int getNumVehicles()

  Returns:
    current number of vehicles

### getGamePhase

    public abstract GamePhase getGamePhase()

  Returns:
    Game phases

### getYellowFlagState

    public abstract YellowFlagState getYellowFlagState()

  Returns:
    Yellow flag states (applies to full-course only)

### getSectorYellowFlag

    public abstract boolean getSectorYellowFlag(int sector)

  Parameters:
    `sector` - the sector in question
  Returns:
    whether there are any local yellows at the moment in each sector

### getStartLightFrame

    public abstract int getStartLightFrame()

  Returns:
    start light frame (number depends on track)

### getNumRedLights

    public abstract int getNumRedLights()

  Returns:
    number of red lights in start sequence

### isInRealtimeMode

    public abstract boolean isInRealtimeMode()

  Returns:
    in realtime as opposed to at the monitor

### getPlayerName

    public abstract java.lang.String getPlayerName()

  Returns:
    player name (including possible multiplayer override)

### getPlayerFilename

    public abstract java.lang.String getPlayerFilename()

  Returns:
    may be encoded to be a legal filename

### getCloudDarkness

    public abstract float getCloudDarkness()

  Returns:
    cloud darkness? 0.0-1.0

### getRainingSeverity

    public abstract float getRainingSeverity()

  Returns:
    raining severity 0.0-1.0

### getAmbientTemperature

    public abstract float getAmbientTemperature()

  Returns:
    temperature (Celsius)

### getTrackTemperature

    public abstract float getTrackTemperature()

  Returns:
    temperature (Celsius)

### getWindSpeed

    public abstract void getWindSpeed(TelemVect3 speed)

  wind speed

  Parameters:
    `speed` - output buffer

### getOnPathWetness

    public abstract float getOnPathWetness()

  Returns:
    on main path 0.0-1.0

### getOffPathWetness

    public abstract float getOffPathWetness()

  Returns:
    off main path 0.0-1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD